import React from "react";
import Box from "@mui/material/Box";
import Typography from "@mui/material/Typography";
import ContactCard from "./ContactCard.jsx";

const people = [
  {
    name: "Ethan  Maughan",
    title: "Manager, Podium",
    email: "mailto:notready@dunemask.net",
    linkedin: "https://www.linkedin.com/in/ethan-maughan-87469214a",
    description: "Manager at Podium",
    avatar:
      "https://media.licdn.com/dms/image/C5603AQGfl31FXYzSrA/profile-displayphoto-shrink_400_400/0/1638318798590?e=1700697600&v=beta&t=ReByv6irpv3DUQKMbP6INBSipueU_QZAwlNviIYnxzI",
  },
  {
    name: "Josh Butler",
    title: "Coworker, Podium",
    email: "mailto:notready@dunemask.net",
    linkedin: "https://www.linkedin.com/in/josh-butler-7372a97",
    description: "Coworker at Podium",
    avatar:
      "https://media.licdn.com/dms/image/D5635AQHg-Vy1WMNYhA/profile-framedphoto-shrink_400_400/0/1691598798461?e=1695823200&v=beta&t=jDuGypWxBoRFJTZvFxPxdk7y8U24tdtS8Wio0Fsofx4",
  },
  {
    name: "Trevor Ah Sue",
    title: "Coworker, Podium",
    email: "mailto:notready@dunemask.net",
    linkedin: "https://www.linkedin.com/in/trevor-ah-sue/",
    description: "Coworker at Podium",
    avatar:
      "https://media.licdn.com/dms/image/C5603AQFfjR3jtnYw6Q/profile-displayphoto-shrink_400_400/0/1653795453273?e=1700697600&v=beta&t=5jO7XQGuH-KK4FwgiyeLfHZSyUaRfnr2-C3DK0pK1jk",
  },
];

export default function References() {
  return (
    <Box style={{ padding: 10, scrollMarginTop: "4rem" }} id="references">
      <div style={{ display: "flex" }}>
        <Typography variant="h2" sx={{ margin: "2rem auto", fontSize: 30 }}>
          References
        </Typography>
      </div>

      <Box
        sx={{
          display: "flex",
          flexWrap: "wrap",
          justifyContent: "center",
        }}
      >
        {people.map((p, i) => (
          <ContactCard
            key={i}
            name={p.name}
            title={p.title}
            email={p.email}
            linkedin={p.linkedin}
            description={p.description}
            avatar={p.avatar}
          />
        ))}
      </Box>
    </Box>
  );
}
